Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Save Image

POST/notebooks/{Instance_id}/save_image/

Path parameters

  • Instance_idPathintegerrequired

    Instance ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
registry_namespace_idinteger

ID of the container registry namespace where the image will be stored

example123
image_namestring

Name of the image to be saved

examplenginx
image_tagstring

Tag assigned to the saved image

examplev2

Responses

201Image saved successfully
object
codeinteger
example201
dataobject
errorsobject
messagestring
exampleCreated Successfully